package com.ruoyi.warehouseBusiness.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 仓储费明细表对象 t_warehouse_agreementitems
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TWarehouseAgreementitems extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 对应主表id
     */
    @Excel(name = "对应主表id")
    private Long fPid;

    /**
     * 行号
     */
    @Excel(name = "行号")
    private Long fLineno;

    /**
     * 费用名称,存储id 显示名称	t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name
     */
    @Excel(name = "费用名称,存储id 显示名称	t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name")
    private Long fFeeid;

    /**
     * 计价单位,t_unitfees f_id存储id 显示名称 name	对应，t_unitfees f_id，如果选择为毛重，数量（f_qty）取主表的毛重，如果选择净重，取主表的净重，如果为箱量，取主表的箱量
     */
    @Excel(name = "计价单位,t_unitfees f_id存储id 显示名称 name	对应，t_unitfees f_id，如果选择为毛重，数量", readConverterExp = "f=_qty")
    private Long fFeeunitid;

    /**
     * 开始天数,只有为仓储费显示
     */
    @Excel(name = "开始天数,只有为仓储费显示")
    private Long fFromdays;

    /**
     * 结束天数,只有为仓储费显示
     */
    @Excel(name = "结束天数,只有为仓储费显示")
    private Long fEndays;

    /**
     * 单价,只有为仓储费显示
     */
    @Excel(name = "单价,只有为仓储费显示")
    private BigDecimal fPrice;

    /**
     * 状态，默认 T ,正常T 停用F 下拉选择
     */
    @Excel(name = "状态，默认 T ,正常T 停用F 下拉选择")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfLineno(Long fLineno) {
        this.fLineno = fLineno;
    }

    public Long getfLineno() {
        return fLineno;
    }

    public void setfFeeid(Long fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Long getfFeeid() {
        return fFeeid;
    }

    public void setfFeeunitid(Long fFeeunitid) {
        this.fFeeunitid = fFeeunitid;
    }

    public Long getfFeeunitid() {
        return fFeeunitid;
    }

    public void setfFromdays(Long fFromdays) {
        this.fFromdays = fFromdays;
    }

    public Long getfFromdays() {
        return fFromdays;
    }

    public void setfEndays(Long fEndays) {
        this.fEndays = fEndays;
    }

    public Long getfEndays() {
        return fEndays;
    }

    public BigDecimal getfPrice() {
        return fPrice;
    }

    public void setfPrice(BigDecimal fPrice) {
        this.fPrice = fPrice;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fPid", getfPid())
                .append("fLineno", getfLineno())
                .append("fFeeid", getfFeeid())
                .append("fFeeunitid", getfFeeunitid())
                .append("fFromdays", getfFromdays())
                .append("fEndays", getfEndays())
                .append("fPrice", getfPrice())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
